%define git_date 20220312
%define commit   1eeaa530c859bd6e37b3d3bd7d3136bc16afcc89

Name:           rawgl
Version:        0.2.1
Release:        %mkrel -c git%{git_date} 1
Summary:        Another World / Out of This World engine reimplementation
Group:          Games/Other
License:        GPLv3+
URL:            https://github.com/cyxx/rawgl
Source0:        https://github.com/cyxx/rawgl/archive/%{commit}/%{name}-%{version}+git%{git_date}.tar.gz
Source1:        %{name}.png

BuildRequires:  pkgconfig(libmodplug)
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(SDL2_mixer)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(gl)

%description
Another World / Out of this World engine reimplementation.

-- You need game data files for run this game --

%prep
%autosetup -p1 -n %{name}-%{commit}

# use our compile flags
sed -i 's|CXXFLAGS :|CXXFLAGS +|' Makefile

%build
%set_build_flags
%make_build

%install

# Create wrapper scripts
mkdir -p %{buildroot}%{_gamesbindir}
mkdir -p %{buildroot}%{_gamesdatadir}/%{name}
mkdir -p %{buildroot}%{_iconsdir}/hicolor/48x48/apps
install -m644 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

cat << EOF > RawGL.sh
#!/bin/sh
%{_gamesbindir}/rawgl --datapath=/data  --fullscreen-ar \$*
exit 0
EOF

install -m755 RawGL.sh %{buildroot}%{_gamesbindir}/RawGL
install -m755 rawgl %{buildroot}%{_gamesbindir}/rawgl

# Menu

install -d %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=rawgl
Comment=Another World engine reimplementation
Exec=RawGL
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF

%files
%doc README.md
%{_gamesbindir}/RawGL
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/48x48/apps/%{name}.png


%changelog
* Mon May 05 2025 daviddavid <daviddavid> 0.2.1-0.git20220312.1.mga10
+ Revision: 2181158
- initial package rawgl (thanks to Xavier Bertaux)

